Manuel PHP
Précédent |  | Suivant

# runkit_constant_add

(PECL)

runkit_constant_add -- Similaire à define(), mais permet aussi la définition dans définitions de classe

## Description

bool runkit_constant_add ( string constname, mixed value )

## Liste de paramètres

constname

  Nom de la constante à déclarer. Soit une chaîne de caractères pour indiquer une constante globale ou un classname::constname pour indiquer une constante de classe.

value

  Valeur NULL, Bool, Long, Double, String ou Resource pour enregistrer la nouvelle constante.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Voir aussi

define()
runkit_constant_redefine()
runkit_constant_remove()

Précédent | Sommaire | Suivant
runkit_class_emancipate | Niveau supérieur | runkit_constant_redefine